import request from '@/utils/request'
// 发送验证码
export function getCode(query) {
  return request({
    url: '/getCode',
    method: 'get',
    params: query
  })
}

// 手机号登陆
export function phoneLogin(data) {
  return request({
    url: '/phoneLogin',
    method: 'post',
    data: data
  })
}

// 登录方法
export function login(phone,code) {
  const data = {
    phone,
    code,
  }
  return request({
    url: '/phoneLogin',
    headers: {
      isToken: false,
      repeatSubmit: false
    },
    method: 'post',
    data: data
  })
}

//微信扫描
// 获取uuid
export function getUUid(query) {
  return request({
    params:query,
    url: '/wx/uuid/get',
    method: 'get'
  })
}


// uuid登录
export function uuidLogin(query) {
  return request({
    params:query,
    url: '/wx/uuid/login',
    method: 'get'
  })
}


// 用户信息编辑
export function updateUserInfo(data) {
  return request({
    url: '/system/user/updateUserInfo',
    method: 'post',
    data: data
  })
}

